Page MenuHomePhabricator

A default install of MW+VE still shows VE in beta features and defaults the user option to disabled
Open, Needs TriagePublic

Description

In T50666 we decided that WMF wikis that enable VE should not show it in beta features as well. This was done with a hack by setting $wgHiddenPrefs[] = 'visualeditor-enable';. This means that on third party wikis VE still shows up as a beta feature. This is not necessary as there is already a preference in 'Editing' to disable VE.

Note that some wikis still require VE to be a beta feature, rather than an editing preference, e.g. pl.wiktionary.

To a similar end we should change DefaultUserOptions['visualeditor-enable'] to true.

Event Timeline

Esanders created this task.Jun 3 2020, 1:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2020, 1:41 PM

Change 620951 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Create preference for making VE a Beta Feature

https://gerrit.wikimedia.org/r/620951

Change 620953 had a related patch set uploaded (by Esanders; owner: Esanders):
[operations/mediawiki-config@master] Use VE's new Beta Feature preference instead of wgHiddenPrefs

https://gerrit.wikimedia.org/r/620953

Change 620958 had a related patch set uploaded (by Esanders; owner: Esanders):
[operations/mediawiki-config@master] Drop wgHiddenPrefs hack for VE Beta Feature

https://gerrit.wikimedia.org/r/620958

Change 620987 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/vagrant@master] Remove DefaultUserOption for visualeditor-enable

https://gerrit.wikimedia.org/r/620987

Change 620951 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Create config option for making VE a BetaFeature, off by default

https://gerrit.wikimedia.org/r/620951

Change 620987 merged by jenkins-bot:
[mediawiki/vagrant@master] Remove DefaultUserOption for visualeditor-enable

https://gerrit.wikimedia.org/r/620987

Change 620953 merged by jenkins-bot:
[operations/mediawiki-config@master] Prepare for VE's new Beta Feature preference

https://gerrit.wikimedia.org/r/620953

Mentioned in SAL (#wikimedia-operations) [2020-08-26T17:12:41Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T254349 Set wgVisualEditorEnableBetaFeature true on wikis that need it (duration: 01m 03s)

ppelberg moved this task from To Triage to Triaged on the VisualEditor board.Aug 27 2020, 4:41 PM
ppelberg added a subscriber: ppelberg.

Testing instructions

  • To confirm this patch has been implemented as we expect it to be, the following should be true:
    • Visit one wiki from this list [i]; ensure Visual Editor appears as a Beta Feature
    • Visit Arabic Wikipedia (ar.wiki); ensure Visual Editor does NOT appears as a Beta Feature

i. https://noc.wikimedia.org/conf/highlight.php?file=dblists/visualeditor-nondefault.dblist